<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title>FastAI Image Classification</title>
	  <link rel="stylesheet" href="{{ url_for('static',filename='style.css') }}">

</head>
<body>

	<h1><span>Image Classification Dashboard</span></h1>

  {% if results is defined %}
  <div id =c style="margin-top:35px; ">
    <p><h3><span style = "color:black">Uploaded image(s) predictions: </span></h3>
      <br/>
      <a href="{{ url_for('download_csv_file',csv_file_name= csv_file_name) }}">Download Results as CSV</a>
      <div class="card">
      {% for event, event_prop in results.items() %}
        <strong style="color:maroon;font-size:xx-large;"> {{ event }}</strong>
        <p><span style="color:red;font-size:large;"> Animals(in Event): {{ ','.join(event_prop['event_classes']) }}</span></p>
        <div class="cards">
        {% for key, value in event_prop['event_results'].items() %}
        <div class="card">
  
          <img src="{{ url_for('static',filename='uploaded/' + key) }}" STYLE="WIDTH:325px; HEIGHT:325px;"/>
          {% for class, proba in value['class_proba'].items() %}
            <p><span style="color:maroon;font-size:large;"> {{ class }}</span> &nbsp; &nbsp; &nbsp; <span> Probability</span>  <span style="color:red">{{ proba }} % </span></p>
          {% endfor %}
          <p><span style="color:red;font-size:large;"> Animals(in Picture): {{ value['probable_classes'] }}</span></p>

        </div>
        {% endfor %}
      </div>
      {% endfor %}
      </div>
    </p>
  
  </div>
  <div id=d, style ="margin-top:55px;">
    <h2> <span> Want to Try Again ?? <span></h2>
  </div>

  {% endif %}


	<form method=POST enctype=multipart/form-data action="{{ url_for('upload') }}">
  
    <div style ="margin-top:15px;">
      <p><h4><span style="color:black"> Upload your image below </span></h4></p>
    </div>
  <div id = a , style="margin-top:25px;">
			<input type=file name='photo' multiple='' accept="image/*" onchange="loadFile(event)">
			<center> <img id="output" align = middle STYLE="TOP:160px; LEFT:87px; WIDTH:325px; HEIGHT:325px"/> </center>
      <script>
        var loadFile = function(event) {
        var output = document.getElementById('output');
        output.src = URL.createObjectURL(event.target.files[0]);
        };
     </script>
		</div>

    <div id = b , style="margin-top:20px;">
      <input type="submit">
		</div>
</form>
</body>
</html>
